YouTube
Get YouTube historical data
Get the basic metrics and historical data of a creator’s YouTube account.
GET
/
youtubeHistory
cURL
curl --request GET \
--url 'https://dev.creatordb.app/v2/youtubeHistory?youtubeId=UCm-X6o81nRsXQTmqpyArkBQ' \
--header 'Accept: application/json' \
--header 'apiId: LE6DPZQkR3TQShxofXoD2j8qCBu1-f0jti665m1t50dwDD12W'const options = {method: 'GET', headers: {apiId: '<apiid>'}};
fetch('https://dev.creatordb.app/v2/youtubeHistory', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://dev.creatordb.app/v2/youtubeHistory"
headers = {"apiId": "<apiid>"}
response = requests.get(url, headers=headers)
print(response.text)
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://dev.creatordb.app/v2/youtubeHistory"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("apiId", "<apiid>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://dev.creatordb.app/v2/youtubeHistory")
.header("apiId", "<apiid>")
.asString();{
"data": {
"basicYoutube": {
"youtubeId": "UCm-X6o81nRsXQTmqpyArkBQ",
"youtubeName": "Flamingo",
"displayId": "@flamingo",
"instagramId": "albertsstuff",
"tiktokId": "",
"avatar": "https://yt3.googleusercontent.com/7cF22TRiceqQr2Cro_X4uhRVnwCdOa2HXiwdBGPnUEqJDuCyr2CykDfDw2rCWjbjaHEdTMUC=s900-c-k-c0x00ffffff-no-rj",
"hasEmail": true,
"subscribers": 13900000,
"views": 12002736149,
"country": "USA",
"lang": "eng",
"createDate": 1499184000000,
"lastUploadTime": 1755142212000,
"links": [
{
"title": "Instagram",
"url": "https://www.instagram.com/albertsstuff/"
},
{
"title": "The Shop",
"url": "http://flimflam.shop/"
},
{
"title": "Business email",
"url": "flamingo@ellify.com"
}
],
"hashtags": [
"#starrailsimulator",
"#honkaistarrail",
"#sponsored"
],
"mainCategory": "Gaming",
"topicIds": [
"id_freegames_Gaming",
"id_rpg_Gaming",
"id_roblox_Gaming"
],
"nicheIds": [
"id_roblox_Gaming",
"id_funny_Gaming",
"id_poppyplaytime_Gaming"
],
"avgLength1Y": 612,
"avgLikes1Y": 80970,
"avgComments1Y": 6611,
"avgSelfCommentRatio1Y": 0.02129629629629627,
"avgCommentLikeRatio1Y": 0.0012345679012345679,
"avgCommentReplyRatio1Y": 0.0021604938271604936,
"avgViews1Y": 2332262,
"engageRate1Y": 0.03755141478648009,
"avgLengthR20": 801.5,
"avgLikesR20": 79945,
"avgCommentsR20": 7517,
"avgSelfCommentRatioR20": 0.02222222222222222,
"avgCommentLikeRatioR20": 0,
"avgCommentReplyRatioR20": 0.005555555555555556,
"avgViewsR20": 2297082,
"engageRateR20": 0.038074757313463874,
"gRateSubscribers": 0.022058823529411766,
"gRateViews": 0.008608394749283115,
"gRateAvgViewsR20": 0.5715348397137289,
"gRateEngageRateR20": -0.24690527845279533,
"recentVideos": [
{
"uploadDate": 1755142212000,
"videoId": "FbCF_H4ZD64",
"length": 873,
"title": "I hosted an ADMIN ABUSE on GROW A GARDEN",
"likes": 153000,
"comments": 15182,
"selfCommentRatio": 0,
"commentLikeRatio": 0,
"commentReplyRatio": 0,
"views": 5009695,
"engageRate": 0.03357130523914131,
"category": "Gaming",
"lang": "eng",
"isPaidPromote": false,
"isStreaming": false,
"isShorts": false,
"hashtags": []
},
{
"uploadDate": 1754966320000,
"videoId": "rqKF4lzzMT0",
"length": 551,
"title": "Roblox won’t stop BANNING me.",
"likes": 89000,
"comments": 9190,
"selfCommentRatio": 0.05,
"commentLikeRatio": 0,
"commentReplyRatio": 0,
"views": 1898329,
"engageRate": 0.05172443765016496,
"category": "Gaming",
"lang": "jav",
"isPaidPromote": false,
"isStreaming": false,
"isShorts": false,
"hashtags": []
},
{
"uploadDate": 1754797869000,
"videoId": "eHnzGYHEdO0",
"length": 572,
"title": "ROBLOX OP ADMIN IN STEAL A BRAINROT",
"likes": 66000,
"comments": 8527,
"selfCommentRatio": 0.05,
"commentLikeRatio": 0,
"commentReplyRatio": 0,
"views": 2034093,
"engageRate": 0.03663893440467078,
"category": "Gaming",
"lang": "nld",
"isPaidPromote": false,
"isStreaming": false,
"isShorts": false,
"hashtags": []
}
]
},
"histories": [
{
"timestamp": 1755360000000,
"subscribers": 13900000,
"likes": 13117000,
"comments": 1070915,
"views": 12002736149,
"avgLength1Y": 612,
"avgLikes1Y": 80970,
"avgComments1Y": 6611,
"avgSelfCommentRatio1Y": 0.02129629629629627,
"avgCommentLikeRatio1Y": 0.0012345679012345679,
"avgCommentReplyRatio1Y": 0.0021604938271604936,
"avgViews1Y": 2332262,
"engageRate1Y": 0.03755141478648009,
"avgLengthR20": 801.5,
"avgLikesR20": 79945,
"avgCommentsR20": 7517,
"avgSelfCommentRatioR20": 0.02222222222222222,
"avgCommentLikeRatioR20": 0,
"avgCommentReplyRatioR20": 0.005555555555555556,
"avgViewsR20": 2297082,
"engageRateR20": 0.038074757313463874
},
{
"timestamp": 1755187200000,
"subscribers": 13900000,
"likes": 13050000,
"comments": 1069620,
"views": 11994640894,
"avgLength1Y": 612,
"avgLikes1Y": 80556,
"avgComments1Y": 6603,
"avgSelfCommentRatio1Y": 0.02129629629629627,
"avgCommentLikeRatio1Y": 0.0012345679012345679,
"avgCommentReplyRatio1Y": 0.0021604938271604936,
"avgViews1Y": 2308133,
"engageRate1Y": 0.03776133314230006,
"avgLengthR20": 779.7777777777778,
"avgLikesR20": 79834,
"avgCommentsR20": 7760,
"avgSelfCommentRatioR20": 0.02222222222222222,
"avgCommentLikeRatioR20": 0,
"avgCommentReplyRatioR20": 0.005555555555555556,
"avgViewsR20": 2215847,
"engageRateR20": 0.03953008681908395
},
{
"timestamp": 1755014400000,
"subscribers": 13800000,
"likes": 12895000,
"comments": 1058110,
"views": 11985928604,
"avgLength1Y": 611,
"avgLikes1Y": 80094,
"avgComments1Y": 6573,
"avgSelfCommentRatio1Y": 0.0214285714285714,
"avgCommentLikeRatio1Y": 0.0012422360248447205,
"avgCommentReplyRatio1Y": 0.002173913043478261,
"avgViews1Y": 2287655,
"engageRate1Y": 0.03788389841176463,
"avgLengthR20": 815.0555555555555,
"avgLikesR20": 75723,
"avgCommentsR20": 7257,
"avgSelfCommentRatioR20": 0.024999999999999998,
"avgCommentLikeRatioR20": 0,
"avgCommentReplyRatioR20": 0.005555555555555556,
"avgViewsR20": 2063091,
"engageRateR20": 0.04022061181340748
}
]
},
"quotaUsed": 3,
"quotaUsedTotal": 6027,
"remainingPlanCredit": 993973,
"remainingPrepurchasedCredit": 0,
"timestamp": 1755503517606,
"error": "",
"success": true
}{
"data": null,
"quotaUsed": 0,
"quotaUsedTotal": 0,
"remainingPlanCredit": 0,
"remainingPrepurchasedCredit": 0,
"timestamp": 1755503514817,
"error": "APIKeyOnlyForTesting",
"success": false
}Headers
Example:
"LE6DPZQkR3TQShxofXoD2j8qCBu1-f0jti665m1t50dwDD12W"
Query Parameters
Example:
"UCm-X6o81nRsXQTmqpyArkBQ"
Response
OK
Show child attributes
Show child attributes
API credits that were used to make this call.
Total API credits used since the last billing cycle.
The number of remaining free API credits that come with your subscription plan. These API credits are renewed every billing cycle.
The number of remaining extra purchased API credits. These API credits do not expire until used.
Unix timestamp of the call request that the server received.
Errors that occurred during the API call.
It is TRUE when the call is successful.
Last modified on February 25, 2026
⌘I
cURL
